{% extends "base.html" %}
{% block title %}Project Details{% endblock %}
{% block content %}
    <h3>Project: {{ project.name }}</h3>
    <h4>Prototypes</h4>
    <ul>
        {% for prototype in prototypes %}
        <li style="margin-bottom: 10px;">
            <div style="word-wrap: break-word; max-width: 100%;">
                <strong>Description:</strong> {{ prototype.description }}
            </div>
        </li>
        <small>{{ prototype.creationDate.strftime('%Y-%m-%d') }}</small> - 
        <a href="{{ url_for('project.view_prototype', prototype_id=prototype.prototypeID) }}">View Prototype</a>
        <!-- Lien pour éditer le prototype -->
        <a href="{{ url_for('project.edit_prototype', prototype_id=prototype.prototypeID) }}" class="btn btn-sm btn-primary">Edit</a>
        <!-- Formulaire pour supprimer le prototype -->
        <form action="{{ url_for('project.delete_prototype', prototype_id=prototype.prototypeID) }}" method="post" style="display:inline;">
            <button type="submit" class="btn btn-sm btn-danger">Delete</button>
        </form>     
        {% endfor %}
    </ul>
    <a href="{{ url_for('project.add_prototype', project_id=project.projectID) }}">Add New Prototype</a>
{% endblock %}



